searchData={"items":[{"type":"module","title":"RichTextHtmlRenderer","doc":"This package aims to help use the responses from the [Contentful API](https://www.contentful.com/),\nspecifically processing their rich-text field types.\n\nContentful is one of several headless CMS solutions and one of the only ones that\nprovides a somewhat usable API.\n\nThis package relies on [`Floki`](https://hexdocs.pm/floki/readme.html): it converts\nthe Contentful abstract syntax tree (AST) into the Floki AST format, and then converts\nthat into HTML.  Unlike Floki's, the Contentful data representation is not\nconsistent, so some workarounds are required.","ref":"RichTextHtmlRenderer.html"},{"type":"module","title":"Limitations - RichTextHtmlRenderer","doc":"The way Contentful links to other Entries and Assets makes it nearly impossible\nto convert a response into functional HTML. To find an asset's URL, you have to make\na _separate request_ to look up the data for a single asset. That requires more than\nthe simple parsing that this package provides.\n\nSee [Contentful Asset docs](https://www.contentful.com/developers/docs/references/content-delivery-api/#/reference/assets/asset)\n\nIf you are using Contentful to create your content, consider disabling links to\nAssets or Entries and instead define a fixed field(s) to hold optional assets.\nThat way at least you know what you're in for when you try to convert their responses\ninto usable HTML.\n\nContentful's UI also seems to support customizations via Javascript somehow.\nThis package doesn't deal with any of that nonsense.","ref":"RichTextHtmlRenderer.html#module-limitations"},{"type":"function","title":"RichTextHtmlRenderer.convert/2","doc":"Converts the Contentful rich text document structure to HTML. Depending on how\nyou have defined your Contentful \"content types\", your Entries may have multiple\nrich-text fields.  Each rich text field requires conversion.","ref":"RichTextHtmlRenderer.html#convert/2"},{"type":"function","title":"Examples - RichTextHtmlRenderer.convert/2","doc":"iex> doc = %{\n      \"content\" => [\n        %{\n          \"content\" => [%{\"nodeType\" => \"text\", \"value\" => \"Hello, world!\"}],\n          \"nodeType\" => \"paragraph\"\n        }\n      ],\n      \"nodeType\" => \"document\"\n    }\n\n    iex> RichTextHtmlRenderer.convert(doc)\n    \" Hello, world! \"","ref":"RichTextHtmlRenderer.html#convert/2-examples"},{"type":"function","title":"Options - RichTextHtmlRenderer.convert/2","doc":"Passed directly to `Floki.raw_html/2`","ref":"RichTextHtmlRenderer.html#convert/2-options"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.1"}}